import Drawer from '..';
import React from 'react';
import ReactDOM from 'react-dom';
import { Button } from '../..';
class Demo extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            visible: false,
        };
        this.onOpen = () => {
            this.setState({
                visible: true,
            });
        };
        this.onClose = (reason, e) => {
            console.log('onClose: ', reason, e);
            this.setState({
                visible: false,
            });
        };
    }
    render() {
        return (React.createElement("div", null,
            React.createElement(Button, { type: "primary", onClick: this.onOpen, style: { marginRight: '20px' } }, " open large drawer"),
            React.createElement(Drawer, { title: "\u6807\u9898", placement: "right", size: "large", visible: this.state.visible, onClose: this.onClose }, "Start your business here by searching a popular product")));
    }
}
ReactDOM.render(React.createElement(Demo, null), document.getElementById('drawer-demo-7'));
